de.esprit.netsuite.transl

## Enum TrEnsMenu

- java.lang.Object
- - java.lang.Enum<TrEnsMenu>
  - - de.esprit.netsuite.transl.TrEnsMenu

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsMenu>

      public enum TrEnsMenu
      extends java.lang.Enum<TrEnsMenu>
      implements NlsKey

  Translations for menus
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT`
    `AGENT_ERRORS`
    `CLIENT_ACTIONS`
    `CLIENT_CMD`
    `CO_SERVER`
    `DATABASE`
    `DUMP_CONTENT`
    `MESSAGES`
    `MISC`
    `OS_PROCESS_LOCAL`
    `OS_PROCESS_ON_SERVER`
    `PASSWORD`
    `REQU_RESP`
    `RESOURCE_LOCK`
    `SAMPLE_ABO`
    `SERVER`
    `SET_CLIENT_LOG_LEVELS`
    `TRANSFER`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsMenu` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsMenu[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### DATABASE

          public static final TrEnsMenu DATABASE

    - #### MESSAGES

          public static final TrEnsMenu MESSAGES

    - #### REQU_RESP

          public static final TrEnsMenu REQU_RESP

    - #### AGENT

          public static final TrEnsMenu AGENT

    - #### AGENT_ERRORS

          public static final TrEnsMenu AGENT_ERRORS

    - #### RESOURCE_LOCK

          public static final TrEnsMenu RESOURCE_LOCK

    - #### CLIENT_CMD

          public static final TrEnsMenu CLIENT_CMD

    - #### MISC

          public static final TrEnsMenu MISC

    - #### TRANSFER

          public static final TrEnsMenu TRANSFER

    - #### SERVER

          public static final TrEnsMenu SERVER

    - #### OS_PROCESS_LOCAL

          public static final TrEnsMenu OS_PROCESS_LOCAL

    - #### OS_PROCESS_ON_SERVER

          public static final TrEnsMenu OS_PROCESS_ON_SERVER

    - #### CO_SERVER

          public static final TrEnsMenu CO_SERVER

    - #### SAMPLE_ABO

          public static final TrEnsMenu SAMPLE_ABO

    - #### PASSWORD

          public static final TrEnsMenu PASSWORD

    - #### DUMP_CONTENT

          public static final TrEnsMenu DUMP_CONTENT

    - #### CLIENT_ACTIONS

          public static final TrEnsMenu CLIENT_ACTIONS

    - #### SET_CLIENT_LOG_LEVELS

          public static final TrEnsMenu SET_CLIENT_LOG_LEVELS

  - ### Method Detail

    - #### values

          public static TrEnsMenu[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsMenu c : TrEnsMenu.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsMenu valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.